Summary: DPO links
Name: cued-dpo-links
Version: 2
Release: 16
BuildRoot: %{_tmppath}/%{name}-%{version}-build
BuildArchitectures: noarch
License: CUED
Packager: John Sloan <js138@eng.cam.ac.uk>
Group: CUED

Source0: cued-dpo-links.tar.gz

%description
Teaching system links to applications and home dirs etc.

%prep
%setup -n %{name}
%build
%install
mkdir -p $RPM_BUILD_ROOT
pushd $RPM_BUILD_ROOT
ln -s /ts-home/users0 users0
ln -s /ts-home/users1 users1
ln -s /ts-home/users2 users2
ln -s /ts-home/users3 users3
ln -s /ts-home/users4 users4
ln -s /ts-home/usersG usersG
ln -s /ts-home mount
ln -s /misc/export export
ln -s /misc/public public
ln -s /usr/local/apps/ansys/ansys_inc ansys_inc
popd
mkdir -p $RPM_BUILD_ROOT/home
pushd $RPM_BUILD_ROOT/home
ln -s /ts-home/www www
popd
mkdir -p $RPM_BUILD_ROOT/usr/src
pushd $RPM_BUILD_ROOT/usr/src
ln -s /misc/src/local local
popd
mkdir -p $RPM_BUILD_ROOT/usr/local/bin
pushd $RPM_BUILD_ROOT/usr/local/bin
ln -s /usr/local/apps/matlab/matlab-local/bin/matlab7SP2 matlab7SP2
ln -s /usr/local/apps/matlab/matlab-local/bin/matlab7SP3 matlab7SP3
ln -s /usr/local/apps/matlab/matlab-local/bin/matlabR2006b matlabR2006b
ln -s /usr/local/apps/matlab/matlab-local/bin/matlabR2007a matlabR2007a
ln -s /usr/local/apps/matlab/matlab-local/bin/matlabR2008a matlabR2008a
ln -s matlabR2007a matlab
ln -s /usr/local/apps/matlab/matlab-local/bin/mexR2007a mexR2007a
ln -s /usr/local/apps/matlab/matlab-local/bin/mexR2008a mexR2008a
ln -s mexR2007a mex
ln -s /usr/local/apps/matlab/matlab-local/bin/matlicsR2007a matlics

ln -s /usr/local/apps/abaqus/local/abaqus abaqus
ln -s /usr/local/apps/abaqus/local/abq652 abq652
ln -s /usr/local/apps/abaqus/local/abq661 abq661
ln -s /usr/local/apps/abaqus/local/abq671 abq671
ln -s /usr/local/apps/abaqus/local/abq67ef1 abq67ef1
ln -s /usr/local/apps/abaqus/local/abq681 abq681
ln -s /usr/local/apps/patran/patran2005r2/bin/patran pat2005r2
ln -s /usr/local/apps/patran/patran2005/bin/patran pat2005
ln -s pat2005r2 patran
ln -s /usr/local/apps/patran/local/mdpatran mdpat2006
ln -s mdpat2006 mdpatran
ln -s /usr/local/apps/ansys/ansys_inc/v100/ansys/bin/launcher100 ansys100
ln -s /usr/local/apps/ansys/ansys_inc/v110/ansys/bin/launcher110 ansys110
ln -s /usr/local/apps/ansys/local/icemcfd110 icemcfd110
ln -s icemcfd110 icemcfd
ln -s ansys110 ansys
ln -s /usr/local/apps/intel/intel_fce_80/bin/ifort ifort
ln -s /usr/local/apps/intel/intel_fce_80/bin/ifc ifc
ln -s /usr/local/bin/comsol34 comsol
ln -s /usr/local/apps/fluent/bin/fluent fluent
ln -s /usr/local/apps/ptc/wrapper/proe3 proe3
ln -s /usr/local/apps/ptc/wrapper/proe2 proe2
ln -s /usr/local/apps/ptc/wrapper/proe-purge proe-purge
ln -s /usr/local/apps/netbeans/netbeans-5.5.1/bin/netbeans netbeans
ln -s proe3 proe
ln -s /usr/bin/htpasswd2 htpasswd
ln -s /usr/java/jdk1.6.0/bin/appletviewer appletviewer
popd
mkdir -p $RPM_BUILD_ROOT/usr/local/share
pushd $RPM_BUILD_ROOT/usr/local/share
ln -s /usr/local/apps/teTeX/share/texmf texmf
ln -s /usr/local/apps/teTeX/share/texmf.local texmf.local
popd
mkdir -p $RPM_BUILD_ROOT/usr/share/emacs/site-lisp
pushd $RPM_BUILD_ROOT/usr/share/emacs/site-lisp
ln -s /export/linux/emacs/default.el default.el
ln -s /export/linux/emacs/matlab.el matlab.el
popd
mkdir -p $RPM_BUILD_ROOT/etc/ld.so.conf.d
install -m 0644 cued-ifort.conf $RPM_BUILD_ROOT/etc/ld.so.conf.d
mkdir -p $RPM_BUILD_ROOT/etc/cron.d
install -m 0644 cued-ifort-cron $RPM_BUILD_ROOT/etc/cron.d
%files
/ansys_inc
/mount
/export
/public
/users?
/usr/src/*
/home/www
/usr/local/bin/*
/usr/local/share/*
/usr/share/emacs/site-lisp/*
%config /etc/ld.so.conf.d/cued-ifort.conf
/etc/cron.d/*
%post
/sbin/ldconfig
%postun
/sbin/ldconfig
